package org.jeecg.modules.adweb.dmp.service;

import static org.jeecg.modules.adweb.dmp.vo.report.SiteOverviewStatsVO.DailyStatsVO;

import com.baomidou.mybatisplus.extension.service.IService;

import org.jeecg.modules.adweb.dmp.entity.GADailyReport;
import org.jeecg.modules.adweb.dmp.vo.report.PeriodicStatsVO;

import java.util.Date;
import java.util.List;

/**
 * @Description: adweb_dmp_ga_daily_report @Author: jeecg-boot @Date: 2024-10-10 @Version: V1.0
 */
public interface IGADailyReportService extends IService<GADailyReport> {

    /**
     * 查询指定时间区间内的{@link DailyStatsVO}
     *
     * <p>如数据库中某天数据缺失，需填充空数据
     *
     * <p>填充每日询盘数据
     */
    List<DailyStatsVO> getDailyStats(String siteCode, Date start, Date end);

    /**
     * 查询分时间段的{@link PeriodicStatsVO} - 今天，昨天，本周，上周，本月，上月，全部
     *
     * <p>填充各时间段询盘数据
     */
    List<PeriodicStatsVO> getPeriodicStats(String siteCode);
}
