package org.jeecg.modules.adweb.enterprise.service;

import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;
import org.jeecg.modules.adweb.enterprise.entity.AdwebSysUserPermission;
import org.jeecg.modules.system.entity.SysPermission;

public interface SysUserPermissionService extends IService<AdwebSysUserPermission> {

  /**
   * 删除原有权限，赋予新的权限
   *
   * @param userId 用户id
   * @param permissionIds 给用户分配的权限
   */
  void editUserPermission(String userId, String permissionIds);

  /**
   * 获取用户菜单权限
   *
   * @param userId 用户id
   */
  List<SysPermission> getPermissionsByUserId(String userId);
}
