package org.jeecg.modules.adweb.marketing.googleads.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.v3.oas.annotations.media.Schema;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: adweb_marketing_google_ads
 * @Author: jeecg-boot
 * @Date: 2024-12-06
 * @Version: V1.0
 */
@Data
@TableName("adweb_marketing_google_ads")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description = "adweb_marketing_google_ads")
public class GoogleAds implements Serializable {
    private static final long serialVersionUID = 1L;

    /** id */
    @TableId(type = IdType.AUTO)
    @Schema(description = "id")
    private Integer id;

    /** 站点code */
    @Excel(name = "站点code", width = 15)
    @Schema(description = "站点code")
    private String siteCode;

    /** uid */
    @Excel(name = "uid", width = 15)
    @Schema(description = "uid")
    private String uid;

    /** customerId */
    @Excel(name = "Google Ads帐号ID", width = 15)
    @Schema(description = "Google Ads帐号ID")
    private String customerId;

    /** refreshToken */
    @Excel(name = "选填，Google Ads API refresh token", width = 15)
    @Schema(description = "选填，Google Ads API refresh token")
    private String refreshToken;

    /** ctime */
    @Excel(name = "ctime", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "ctime")
    private Date ctime;
}
