package org.jeecg.modules.adweb.product.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;

/**
 * @Description: wp站点产品
 * @Author: jeecg-boot
 * @Date: 2024-12-06
 * @Version: V1.0
 */
@Data
@TableName("adweb_product")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description = "wp站点产品")
public class AdwebProduct implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "主键")
    private java.lang.String id;
    /**
     * 创建人
     */
    @Schema(description = "创建人")
    private java.lang.String createBy;
    /**
     * 创建日期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建日期")
    private java.util.Date createTime;
    /**
     * 更新人
     */
    @Schema(description = "更新人")
    private java.lang.String updateBy;
    /**
     * 更新日期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "更新日期")
    private java.util.Date updateTime;
    /**
     * 站点code
     */
    @Excel(name = "站点code", width = 15)
    @Schema(description = "站点code")
    @Dict(dictTable = "adweb_site", dicCode = "code", dicText = "name")
    private java.lang.String siteCode;
    /**
     * mq生产时间
     */
    @Excel(name = "mq生产时间", width = 15)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "mq生产时间")
    private java.util.Date requestTime;
    /**
     * wp产品ID
     */
    @Excel(name = "wp产品ID", width = 15)
    @Schema(description = "wp产品ID")
    private java.lang.Integer productId;
    /**
     * wp产品类型，adwebpro or woocommerce
     */
    @Excel(name = "wp产品类型，adwebpro or woocommerce", width = 15)
    @Schema(description = "wp产品类型，adwebpro or woocommerce")
    private java.lang.String productType;
    /**
     * wp产品操作类型， add, edit, delete
     */
    @Excel(name = "wp产品操作类型， add, edit, delete", width = 15)
    @Schema(description = "wp产品操作类型， add, edit, delete")
    private java.lang.String actionType;
    /**
     * wp产品名称
     */
    @Excel(name = "wp产品名称", width = 15)
    @Schema(description = "wp产品名称")
    private java.lang.String productName;
    /**
     * wp产品中文名称
     */
    @Excel(name = "wp产品中文名称", width = 15)
    @Schema(description = "wp产品中文名称")
    private java.lang.String productNameZh;
    /**
     * wp产品封面图
     */
    @Excel(name = "wp产品封面图", width = 15)
    @Schema(description = "wp产品封面图")
    private java.lang.String productImage;
    /**
     * wp产品图库
     */
    @Excel(name = "wp产品图库", width = 15)
    @Schema(description = "wp产品图库")
    private java.lang.String productGalleryImage;
    /**
     * wp产品分类
     */
    @Excel(name = "wp产品分类", width = 15)
    @Schema(description = "wp产品分类")
    private java.lang.String categoryName;
    /**
     * wp产品作者
     */
    @Excel(name = "wp产品作者", width = 15)
    @Schema(description = "wp产品作者")
    private java.lang.String authorName;
}
