package org.jeecg.modules.adweb.seo.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import org.jeecg.modules.adweb.seo.entity.SeoKeywordsSerp;
import org.jeecg.modules.adweb.seo.vo.KeywordsInfoVO;

import java.util.Date;
import java.util.List;

/**
 * @Description: SEO关键词搜索排名
 * @Author: jeecg-boot
 * @Date:   2024-10-15
 * @Version: V1.0
 */
public interface SeoKeywordsSerpMapper extends BaseMapper<SeoKeywordsSerp> {

    /**
     * 返回指定关键词的最后一次Serp记录
     */
    SeoKeywordsSerp getLatestSeoKeywordSerp(int keywordId);

    List<KeywordsInfoVO> getSeoKeywordsRank(String siteCode, String date, Integer keywordsType, Integer limit);

    Date getAchieveDate(String siteCode, int target, int appointKeywordNum, int longTailKeywordNum);
}
